Package ch.qos.logback.core.pattern

# Class Converter<E>

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>

Direct Known Subclasses:
  `FormattingConverter`, `LiteralConverter`

public abstract class Converter<E> extends Object
A minimal converter which sets up the general interface for derived classes. It also implements the functionality to chain converters in a linked list.

Author:
  ceki

## Constructor Summary

Constructors
Constructor
Description
`Converter()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`convert(E event)`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`final Converter<E>`
`getNext()`
`final void`
`setNext(Converter<E> next)`
`void`
`write(StringBuilder buf, E event)`
In its simplest incarnation, a convert simply appends the data extracted from the event to the buffer passed as parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Converter

public Converter()

## Method Details

### convert

public abstract String convert(E event)
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Parameters:
  `event` -

### write

public void write(StringBuilder buf, E event)
In its simplest incarnation, a convert simply appends the data extracted from the event to the buffer passed as parameter.

Parameters:
  `buf` - The input buffer where data is appended
  `event` - The event from where data is extracted

### setNext

public final void setNext(Converter<E> next)

### getNext

public final Converter<E> getNext()